# Interface IAccessRuleParticipant

public interface IAccessRuleParticipant
Contributes access rules for an execution environment. Contributed with an execution environments extension.

Clients contributing an access rule participant may implement this interface.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`IAccessRule[][]`
`getAccessRules(IExecutionEnvironment environment, IVMInstall vm, LibraryLocation[] libraries, IJavaProject project)`
Returns a collection of access rules to be applied to the specified VM libraries and execution environment in the context of the given project.

## Method Details

### getAccessRules

IAccessRule[][] getAccessRules(IExecutionEnvironment environment, IVMInstall vm, LibraryLocation[] libraries, IJavaProject project)
Returns a collection of access rules to be applied to the specified VM libraries and execution environment in the context of the given project. An array of access rules is returned for each library specified by `libraries`, possibly empty.

Parameters:
  `environment` - the environment that access rules are requested for
  `vm` - the vm that access rules are requested for
  `libraries` - the libraries that access rules are requested for
  `project` - the project the access rules are requested for or `null` if none
Returns:
  a collection of arrays of access rules - one array per library, possibly empty
Since:
  3.3